rm(list=ls())
library("RColorBrewer")
library("Matrix")
source("successionmeasures.surreal2.R")

surtsey <- read.delim(file="Surtsey.txt",header=TRUE,sep="\t")
excludeunseen <- TRUE #exclude species that were never observed?
if(excludeunseen){
	cs <- colSums(surtsey)
	surtsey <- surtsey[,-(which(cs==0))]
}

nspp <- dim(surtsey)[2]-1
nyears <- dim(surtsey)[1]

#get rate of succession and mean growth rate between adjacent years
ssur <- getsurr(surtsey[,1:nspp],surtsey$year)


par(mfrow=c(3,1))
par(mar=c(4,5.1,2,0.5))

#plot log abundances
plotlogcount(year=surtsey$year,data=surtsey,n=nspp,panel.label="A",blackline=3)

#plot size and shape components of change
plotsurr(ssur$rbar,surtsey$year,x.lab="Year",y.lab=bquote('Size'~change~(years^-1)),panel.label="B")
plotsurr(ssur$sr,surtsey$year,x.lab="Year",y.lab=bquote('Shape'~change~(years^-1)),panel.label="C")



